services:

  runner:
    image: gitlab/gitlab-runner:v16.11.1
    restart: unless-stopped
    volumes:
      - docker-certs:/certs/client:ro
    logging:
      options:
        max-size: 10m

  docker:
    image: docker:26.1.2-dind
    restart: unless-stopped
    privileged: true
    environment:
      DOCKER_TLS_CERTDIR: /certs
    volumes:
      - docker-certs:/certs/client
    logging:
      options:
        max-size: 10m

volumes:
  docker-certs:
